Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework.security
Interface Key

All Known Subinterfaces:
  AESKey, DESKey, DSAPrivateKey, DSAPublicKey, ECPrivateKey, ECPublicKey, PrivateKey, PublicKey, RSAPrivateCrtKey, RSAPrivateKey, RSAPublicKey, SecretKey

All Known Implementing Classes:
  DSAKeyImpl, DSAPrivateKeyImpl, DSAPublicKeyImpl, ECKeyImpl, ECPrivateKeyImpl, ECPublicKeyImpl, KeyImpl, RSAKeyImpl, RSAPrivateCrtKeyImpl, SymmetricKeyImpl

    public interface Key

The `Key` interface is the base interface for all keys.

A `Key` object sets its initialized state to true only when all the associated `Key` object parameters have been set at least once since the time the initialized state was set to false.

A newly created `Key` object sets its initialized state to false. Invocation of the `clearKey()` method sets the initialized state to false. A key with transient key data sets its initialized state to false on the associated clear events.

Method Summary
`void` | `clearKey()` Clears the key and sets its initialized state to false.
`short` | `getSize()` Returns the key size in number of bits.
`byte` | `getType()` Returns the key interface type.
`boolean` | `isInitialized()` Reports the initialized state of the key.

Method Detail

### clearKey

    void clearKey()

  Clears the key and sets its initialized state to false.

### getSize

    short getSize()

  Returns the key size in number of bits.

  Returns:
    the key size in number of bits

### getType

    byte getType()

  Returns the key interface type.

  Returns:
    the key interface type. Valid codes listed in TYPE.. constants See `KeyBuilder.TYPE_DES_TRANSIENT_RESET`

  See Also:
    `KeyBuilder`

### isInitialized

    boolean isInitialized()

  Reports the initialized state of the key. Keys must be initialized before being used.

  A `Key` object sets its initialized state to true only when all the associated `Key` object parameters have been set at least once since the time the initialized state was set to false.

  A newly created `Key` object sets its initialized state to false. Invocation of the `clearKey()` method sets the initialized state to false. A key with transient key data sets its initialized state to false on the associated clear events.

  Returns:
    `true` if the key has been initialized

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD